import service from '../axios.Im'


// 登录获取用户信息
export function imLogin(param) {
  return service.post('user/login', param);
}

// 上传文件
export function uploadFile(param) {
  return service.post('file', param);
}

// 修改用户信息
export function userInfoEdit(param) {
  return service.put('user', param );
}

// 获取用户列表 
export function userList(params) {
  return service.get('user', { params});
}

// 添加好友
export function userFriend(param) {
  return service.post('friend', param);
}

// 获取用户详情
export function userUuid(uuid) {
  return service.get(`user/${uuid}`);
}

// 获取消息
export function getMessageApi(data) {
  return service.post('message', data );
}

// 获取好友申请审核列表
export function friendRequest(params) {
  return service.get("user/friend/request", { params });
}

// 同意或者拒绝好友
export function friendAudit(param) {
  return service.post('user/friend/audit', param);
}

// 获取群组信息
export function groupList(uuid) {
  return service.get(`group/${uuid}`);
}

// 加入群组
export function groupJoin(param) {
  return service.post(`/group/join/:userUuid/:groupUuid`, param);
}

